package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName partner_info
 */
@TableName(value = "partner_info")
@Data
public class PartnerInfo implements Serializable {
    /**
     * 模型名
     */
    @TableField(value = "partner_name")
    private String partnerName;
    /**
     * 类别名
     */
    @TableField(value = "contact_name")
    private String contactName;

    /**
     * 所选字段列表
     */
    @TableField(value = "mobile_no")
    private String mobileNo;

    /**
     * 插入数据者
     */
    @TableField(value = "rate_1")
    private String rate1;

    /**
     * 读数据者
     */
    @TableField(value = "query_number1")
    private String queryNumber1;

    /**
     * 插入数据者
     */
    @TableField(value = "rate_2")
    private String rate2;

    /**
     * 读数据者
     */
    @TableField(value = "query_number2")
    private String queryNumber2;

    /**
     * 插入数据者
     */
    @TableField(value = "rate_3")
    private String rate3;

    /**
     * 读数据者
     */
    @TableField(value = "query_number3")
    private String queryNumber3;

    /**
     * 更新数据者
     */
    @TableField(value = "create_time")
    private String createTime;

    /**
     * 删除数据者
     */
    @TableField(value = "is_enable")
    private String isEnable;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}